/* Estilos comunes */
.btn-custom {
    font-size: 15px;
    border-radius: 8px;
    padding: 10px 24px; 
    width: auto; 
    min-width: 122px;  
    height: 38px;
    opacity: 1;
    cursor: pointer;
    display: inline-block; 
    text-align: center;
    white-space: nowrap; 
}

/* Estado deshabilitado: Común para todos */
.btn-custom:disabled,
.btn-custom.disabled {
    background-color: var(--gray-3);
    color: var(--white);
    cursor: not-allowed;
    border: none;
}

/* Disabled: Sobrescribe hover y active */
.btn-custom:disabled:hover,
.btn-custom:disabled:hover,
.btn-custom:disabled:active,
.btn-custom:disabled:active {
    background-color: var(--gray-3) !important;
    color: var(--white) !important;
    border: none   !important;           
}


/* Estado focus: Personalizado para accesibilidad */
.btn-custom:focus {
    outline: none !important;
}